# Generated by Django 3.1.7 on 2022-09-21 14:55

from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    dependencies = [
        ('jwql', '0002_auto_20220913_1525'),
    ]

    operations = [
        migrations.CreateModel(
            name='Archive',
            fields=[
                ('instrument', models.CharField(help_text='Instrument name', max_length=7, primary_key=True, serialize=False)),
            ],
            options={
                'ordering': ['instrument'],
            },
        ),
        migrations.CreateModel(
            name='Observation',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('obsnum', models.CharField(help_text='Observation number, as a 3 digit string', max_length=3)),
                ('number_of_files', models.IntegerField(default=0, help_text='Number of files in the proposal')),
                ('obsstart', models.FloatField(default=0.0, help_text='Time of the beginning of the observation in MJD')),
                ('obsend', models.FloatField(default=0.0, help_text='Time of the end of the observation in MJD')),
                ('exptypes', models.CharField(default='', help_text='Comma-separated list of exposure types', max_length=100)),
            ],
            options={
                'ordering': ['-obsnum'],
            },
        ),
        migrations.CreateModel(
            name='Proposal',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('prop_id', models.CharField(help_text='5-digit proposal ID string', max_length=5)),
                ('thumbnail_path', models.CharField(default='', help_text='Path to the proposal thumbnail', max_length=100)),
                ('archive', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='jwql.archive')),
            ],
            options={
                'ordering': ['-prop_id'],
                'unique_together': {('prop_id', 'archive')},
            },
        ),
        migrations.DeleteModel(
            name='ImageData',
        ),
        migrations.AddField(
            model_name='observation',
            name='proposal',
            field=models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='jwql.proposal'),
        ),
    ]
