# Generated by Django 4.2.6 on 2024-05-07 15:15

import django.contrib.postgres.fields
from django.db import migrations, models


class Migration(migrations.Migration):

    dependencies = [
        ('jwql', '0023_centralstorage_fgsanomaly_filesystemcharacteristics_and_more'),
    ]

    operations = [
        migrations.CreateModel(
            name='NIRSpecMsataStats',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('filename', models.CharField(blank=True, max_length=1000, null=True)),
                ('date_obs', models.DateTimeField(blank=True, null=True)),
                ('visit_id', models.CharField(blank=True, max_length=30, null=True)),
                ('tafilter', models.CharField(blank=True, max_length=7, null=True)),
                ('detector', models.CharField(blank=True, max_length=40, null=True)),
                ('readout', models.CharField(blank=True, max_length=40, null=True)),
                ('subarray', models.CharField(blank=True, max_length=40, null=True)),
                ('num_refstars', models.IntegerField(blank=True, null=True)),
                ('ta_status', models.CharField(blank=True, max_length=1000, null=True)),
                ('v2halffacet', models.FloatField(blank=True, null=True)),
                ('v3halffacet', models.FloatField(blank=True, null=True)),
                ('v2msactr', models.FloatField(blank=True, null=True)),
                ('v3msactr', models.FloatField(blank=True, null=True)),
                ('lsv2offset', models.FloatField(blank=True, null=True)),
                ('lsv3offset', models.FloatField(blank=True, null=True)),
                ('lsoffsetmag', models.FloatField(blank=True, null=True)),
                ('lsrolloffset', models.FloatField(blank=True, null=True)),
                ('lsv2sigma', models.FloatField(blank=True, null=True)),
                ('lsv3sigma', models.FloatField(blank=True, null=True)),
                ('lsiterations', models.IntegerField(blank=True, null=True)),
                ('guidestarid', models.IntegerField(blank=True, null=True)),
                ('guidestarx', models.FloatField(blank=True, null=True)),
                ('guidestary', models.FloatField(blank=True, null=True)),
                ('guidestarroll', models.FloatField(blank=True, null=True)),
                ('samx', models.FloatField(blank=True, null=True)),
                ('samy', models.FloatField(blank=True, null=True)),
                ('samroll', models.FloatField(blank=True, null=True)),
                ('box_peak_value', django.contrib.postgres.fields.ArrayField(base_field=models.FloatField(), size=None)),
                ('reference_star_mag', django.contrib.postgres.fields.ArrayField(base_field=models.FloatField(), size=None)),
                ('convergence_status', django.contrib.postgres.fields.ArrayField(base_field=models.CharField(blank=True, max_length=100, null=True), size=None)),
                ('reference_star_number', django.contrib.postgres.fields.ArrayField(base_field=models.IntegerField(), size=None)),
                ('lsf_removed_status', django.contrib.postgres.fields.ArrayField(base_field=models.CharField(blank=True, max_length=100, null=True), size=None)),
                ('lsf_removed_reason', django.contrib.postgres.fields.ArrayField(base_field=models.CharField(blank=True, max_length=100, null=True), size=None)),
                ('lsf_removed_x', django.contrib.postgres.fields.ArrayField(base_field=models.FloatField(), size=None)),
                ('lsf_removed_y', django.contrib.postgres.fields.ArrayField(base_field=models.FloatField(), size=None)),
                ('planned_v2', django.contrib.postgres.fields.ArrayField(base_field=models.FloatField(), size=None)),
                ('planned_v3', django.contrib.postgres.fields.ArrayField(base_field=models.FloatField(), size=None)),
                ('stars_in_fit', models.IntegerField(blank=True, null=True)),
                ('entry_date', models.DateTimeField(blank=True, null=True)),
            ],
            options={
                'db_table': 'nirspec_msata_stats',
                'managed': True,
                'unique_together': {('id', 'entry_date')},
            },
        ),
        migrations.CreateModel(
            name='NIRSpecWataStats',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('filename', models.CharField(blank=True, max_length=1000, null=True)),
                ('date_obs', models.DateTimeField(blank=True, null=True)),
                ('visit_id', models.CharField(blank=True, max_length=30, null=True)),
                ('tafilter', models.CharField(blank=True, max_length=7, null=True)),
                ('readout', models.CharField(blank=True, max_length=40, null=True)),
                ('ta_status', models.CharField(blank=True, max_length=100, null=True)),
                ('star_name', models.IntegerField(blank=True, null=True)),
                ('star_ra', models.FloatField(blank=True, null=True)),
                ('star_dec', models.FloatField(blank=True, null=True)),
                ('star_mag', models.FloatField(blank=True, null=True)),
                ('star_catalog', models.IntegerField(blank=True, null=True)),
                ('planned_v2', models.FloatField(blank=True, null=True)),
                ('planned_v3', models.FloatField(blank=True, null=True)),
                ('stamp_start_col', models.IntegerField(blank=True, null=True)),
                ('stamp_start_row', models.IntegerField(blank=True, null=True)),
                ('star_detector', models.CharField(blank=True, max_length=40, null=True)),
                ('max_val_box', models.FloatField(blank=True, null=True)),
                ('max_val_box_col', models.IntegerField(blank=True, null=True)),
                ('max_val_box_row', models.IntegerField(blank=True, null=True)),
                ('iterations', models.IntegerField(blank=True, null=True)),
                ('corr_col', models.IntegerField(blank=True, null=True)),
                ('corr_row', models.IntegerField(blank=True, null=True)),
                ('stamp_final_col', models.FloatField(blank=True, null=True)),
                ('stamp_final_row', models.FloatField(blank=True, null=True)),
                ('detector_final_col', models.FloatField(blank=True, null=True)),
                ('detector_final_row', models.FloatField(blank=True, null=True)),
                ('final_sci_x', models.FloatField(blank=True, null=True)),
                ('final_sci_y', models.FloatField(blank=True, null=True)),
                ('measured_v2', models.FloatField(blank=True, null=True)),
                ('measured_v3', models.FloatField(blank=True, null=True)),
                ('ref_v2', models.FloatField(blank=True, null=True)),
                ('ref_v3', models.FloatField(blank=True, null=True)),
                ('v2_offset', models.FloatField(blank=True, null=True)),
                ('v3_offset', models.FloatField(blank=True, null=True)),
                ('sam_x', models.FloatField(blank=True, null=True)),
                ('sam_y', models.FloatField(blank=True, null=True)),
                ('entry_date', models.DateTimeField(blank=True, null=True)),
            ],
            options={
                'db_table': 'nirspec_wata_stats',
                'managed': True,
                'unique_together': {('id', 'entry_date')},
            },
        ),
        migrations.DeleteModel(
            name='NIRSpecTaStats',
        ),
    ]
